Get a submitted tax filing
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
In: header
Scope: eprospera:person.tax.read
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/me/tax/filings/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "subject": { "type": "natural_person", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "residentPermitNumber": "string" }, "type": "income", "period": { "year": 0, "quarter": 1 }, "submittedAt": "2019-08-24T14:15:22Z", "amended": true, "currency": "usd", "accountingMethod": "string", "reported": { "grossIncome": "string", "taxCredit": "string", "taxWithheld": "string" }, "usdEquivalent": { "grossIncome": "string", "taxCredit": "string", "taxWithheld": "string" }, "taxLiability": "string", "exchangeRate": { "btcUsdRate": "string", "capturedAt": "2019-08-24T14:15:22Z", "source": "string" }, "invoice": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "string" }, "availableDocuments": [ "assessment" ] }}List submitted tax filings GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
Download a tax assessment or filed income return GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.